System.ServiceModel 4.0.0.0 System.ServiceModel.Security.SecurityCredentialsManager System.ServiceModel.Description.IEndpointBehavior

The is accessed through the property of the class.

A object is added to the collection. The property is a Façade (a well-known design pattern) over an entry in that collection. Many properties in this class return objects that consist mainly of properties. These objects can be used for configuration: once you get the object, you can use it to set properties by calling its members.

Enables the user to configure client and service credentials as well as service credential authentication settings for use on the client side of communication.

- Constructor
  4.0.0.0

  This constructor creates a object with default settings, for example, = true.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  This is a copy constructor.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  The client behavior is applied to the endpoint only if the endpoint does not have a associated with it.

  Applies the specified client behavior to the endpoint.

  The client behavior that is to be applied to the specified endpoint.
- Property
  4.0.0.0
  System.ServiceModel.Security.X509CertificateInitiatorClientCredential To be added.

  You can also set this value using the <certificate> of <clientCertificate> Element in a client application configuration file.

  Gets an object that you can use to provide the X.509 certificate that the client uses to authenticate to the service.

- Method
  4.0.0.0
  System.ServiceModel.Description.ClientCredentials To be added.

  Creates a new copy of this instance.

  A instance.

- Method
  4.0.0.0
  System.ServiceModel.Description.ClientCredentials

  The and methods follow the Core design pattern. can be overridden in derived classes if they add new fields that must be cloned.

  The method calls the constructor.

  Creates a new copy of this instance.

  A instance.

- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenManager

  This method is usually overridden by custom client credentials implementations that inherit from this class. This method is responsible for returning a new instance of a implementation.

  Creates a security token manager for this instance. This method is rarely called explicitly; it is primarily used in extensibility scenarios and is called by the system itself.

  A for this instance.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityToken `` `` `` To be added.

  Generates and returns a security token using the infocard system and the specified policy chain and token serializer.

  A that represents the generated security token. Returns null if is false.

  A value that determines whether infocard is required. An array of that describes the federated security chain that the client requires a final token to unwind. A that can read a KeyInfo clause.
- Property
  4.0.0.0
  System.ServiceModel.Security.HttpDigestClientCredential To be added.

  You can use the object returned by this property to configure the credential by calling the property.

  Similarly, you can specify the network credential to use if it is different from the current thread's token.

  Gets the current HTTP Digest credential.

- Property
  4.0.0.0
  System.ServiceModel.Security.IssuedTokenClientCredential To be added.

  You can use the object returned by this property to configure the settings of the local Security Token Service by calling its members.

  Use this property to specify the endpoint address and binding to use when contacting your local Security Token Service. This information is used when a service requires authentication using an issued token, but the policy of the service (represented as a binding on the client) does not explicitly specify how and where to obtain the issued token.

- Property
  4.0.0.0
  System.ServiceModel.Security.PeerCredential To be added.

  You can use the object returned by this property to configure the credential by calling its members, such as , , , and .

  Controls the credentials that a peer node uses to authenticate itself to other nodes in the mesh, as well as authentication settings that a peer node uses to authenticate other peer nodes.

- Property
  4.0.0.0
  System.ServiceModel.Security.X509CertificateRecipientClientCredential To be added.

  You can use the object returned by this property to configure the certificate's properties by calling its members.

  You can specify a single default certificate as well as a different certificate to be used when communicating with a particular URI.

  Through this class, you also control the authentication settings for service certificates negotiated through SSL/TLS negotiation performed at the message level.

  This property does not always have to be specified. Whether it is required depends on the authentication mode and negotiation options set on the binding that is used to communicate with the service. Some relevant classes that control this behavior are and .

  You can also set this value using the <certificate> for <identity> element in a client application configuration file.

  Gets an object used to specify a service's X.509 certificate.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property controls whether a user interface is allowed to pop up during credential provisioning. The most common case where this currently happens is with infocard.

  Gets or sets a value that indicates whether the system is allowed to interactively prompt the user for credentials when necessary. For example, setting it to false might be desired in middle-tier scenarios.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  An explicit implementation of the method.

  Adds this instance of this class to a binding parameter collection.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Implements a modification or extension of the service across an endpoint.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Reserved for future use.

- Property
  4.0.0.0
  System.ServiceModel.Security.UserNamePasswordClientCredential To be added.

  You can use the object returned by this property to configure the credential by calling its members, such as and .

  Gets a credential object that you can use to set the user name and password that the client uses to authenticate itself to the service.

- Property
  4.0.0.0
  System.ServiceModel.Security.WindowsClientCredential To be added.

  You can use the object returned by this property to configure the Windows credential by calling its members, such as and .

  These settings control the Windows credential used during SPNEGO negotiation at either the message or transport level or the properties of Kerberos tokens used for authentication at the message level.

  Gets an object used to control the Windows credential that the client uses to authenticate itself to the service.